%define oname opensm

Summary: InfiniBand subnet manager and administration

Name: opensm2
Version: 3.2.5_20081207
Release: alt2.M50.1

Packager: Stanislav Ievlev <inger@altlinux.org>

License: GPL/BSD

Group: System/Base
URL: http://openib.org/
Source: http://openib.org/downloads/%oname-%version.tar
Source1: %oname.sysconfig
Source2: %oname.init

Provides: %oname = %version-%release
Obsoletes: %oname < %version-%release
Conflicts: %oname < %version-%release
Conflicts: %oname > %version-%release

Requires(post,preun): /sbin/service

BuildRequires(pre): rpm-build-compat
BuildPreReq: libibumad-devel-static >= 1.2.3 flex
Requires: libibumad >= 1.2.3

Requires: lib%oname = %version-%release

BuildRequires: libibumad-devel gcc-c++ glibc-devel-static

%description
OpenSM provides an implementation of an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

%package -n lib%name
Summary: Libraries from the opensm package
Group: System/Libraries
Provides: lib%oname = %version-%release
Obsoletes: lib%oname < %version-%release
Conflicts: lib%oname < %version-%release
Conflicts: lib%oname > %version-%release

%description -n lib%name
Shared libraries that are part of the opensm package but are also used by
other applications.  If you don't need opensm itself installed, these
libraries can be installed to satisfy dependencies of other applications.

%package -n lib%oname-devel
Summary: Development files for OpenSM
Group: Development/C
Requires: lib%oname = %version-%release libibumad-devel
Obsoletes: lib%oname-devel < %version-%release
Conflicts: lib%oname-devel < %version-%release
Conflicts: lib%oname-devel > %version-%release

%description -n lib%oname-devel
Development files for OpenSM

%package -n lib%oname-devel-static
Summary: Static development files for OpenSM
Group: Development/C
Requires: lib%oname-devel = %version-%release libibumad-devel-static

%description -n lib%oname-devel-static
Static development files for OpenSM

%prep
%setup

%build
%autoreconf
%configure
sed -i -e '1a\echo=echo' libtool
%make_build

pushd libvendor
%make clean
sed -i \
	-e 's|^\(libosmvendor_la_LIBADD.*\)|\1 -L../opensm/.libs -lopensm|' \
	Makefile
%make_build

%install
%make_install_std

install -Dpm 644 %SOURCE1 %buildroot/%_sysconfdir/sysconfig/%oname
install -Dpm 755 %SOURCE2 %buildroot/%_initdir/%oname

%post 
%post_service %oname

%preun
%preun_service %oname

%files
%doc AUTHORS COPYING README
%_sysconfdir/sysconfig/%oname
%_initdir/*
%_sbindir/*
%_man8dir/*

%files -n lib%name
%_libdir/*.so.*

#Note: devel part unusable now
%files -n lib%oname-devel
%_includedir/infiniband/*
%_libdir/*.so

%files -n lib%oname-devel-static
%_libdir/*.a

%changelog
* Mon May 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.5_20081207-alt2.M50.1
- Port for Branch 5.0

* Mon May 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.5_20081207-alt3
- Rebuild with automake 1.11

* Wed May 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.5_20081207-alt2
- Rebuild with gcc4.4

* Wed Apr 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.5_20081207-alt1
- Version 3.2.5_20081207

* Thu Sep 18 2008 Stanislav Ievlev <inger@altlinux.org> 3.1.11-alt1
- OFED-1.3.1

* Fri Feb 22 2008 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt3
- add init.d script

* Mon Aug 27 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt2
- turn on devel part

* Tue Aug 21 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt1
- Initial build
